Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Node

All Superinterfaces:
  Iterable<Location>

All Known Subinterfaces:
  SubgraphNode

All Known Implementing Classes:
  Graph.GraphNode

    @Immutable
    public interface Node

extends Iterable<Location>

A node in a `graph`, with methods to access the properties and children.

Method Summary
`List<Location>` | `getChildren()` Get the children of the node.
`List<Location>` | `getChildren(Name namePattern)` Get the children that have the supplied name.
`List<Path.Segment>` | `getChildrenSegments()` Get the list of child `segments`.
`DateTime` | `getExpirationTime()` Get the time at which this node representation should no longer be used.
`Graph` | `getGraph()` Get the graph containing the node.
`Location` | `getLocation()` Get the location of the node.
`Collection<Property>` | `getProperties()` Get the properties on the node.
`Map<Name,Property>` | `getPropertiesByName()` Get the map of properties keyed by the property names.
`Property` | `getProperty(Name name)` Get the property with the supplied name.
`Property` | `getProperty(String name)` Get the property with the supplied name.
`boolean` | `hasChildren()` Return whether this node has children.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getGraph

    Graph getGraph()

  Get the graph containing the node.

  Returns:
    the graph

### getExpirationTime

    DateTime getExpirationTime()

  Get the time at which this node representation should no longer be used.

  Returns:
    the expiration time, or null if there is none

### getLocation

    Location getLocation()

  Get the location of the node.

  Returns:
    the node's location

### getProperties

    Collection<Property> getProperties()

  Get the properties on the node.

  Returns:
    the properties

### getProperty

    Property getProperty(String name)

  Get the property with the supplied name.

  Parameters:
    `name` - the property name
  Returns:
    the property, or null if there is no property by that name

### getProperty

    Property getProperty(Name name)

  Get the property with the supplied name.

  Parameters:
    `name` - the property name
  Returns:
    the property, or null if there is no property by that name

### getPropertiesByName

    Map<Name,Property> getPropertiesByName()

  Get the map of properties keyed by the property names.

  Returns:
    the map of properties keyed by property name

### getChildren

    List<Location> getChildren()

  Get the children of the node.

  Returns:
    the list of locations for each child

### getChildren

    List<Location> getChildren(Name namePattern)

  Get the children that have the supplied name.

  Parameters:
    `namePattern` - the name that each returned node should have
  Returns:
    the list of locations for each child with the supplied name; never null

### getChildrenSegments

    List<Path.Segment> getChildrenSegments()

  Get the list of child `segments`.

  Returns:
    the list containing a segment for each child

### hasChildren

    boolean hasChildren()

  Return whether this node has children.

  Returns:
    true if the node has children, or false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.